package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;
import org.eclipse.cosmos.me.sdd.schema.VersionConstraintValueType;

public class VersionConstraintValueCompare
{

//	VersionConstraintValueType> 	 	 	 	
//	Value 		<VersionValueType> 	Merge
//	Range 		<VersionRangeType> 	Merge 
	protected static VersionConstraintValueType merge(VersionConstraintValueType v,	VersionConstraintValueType v2)
	{
		ObjectFactory objectFactory = new ObjectFactory();
		VersionConstraintValueType vc = objectFactory.createVersionConstraintValueType();
		vc.getRange().addAll(VersionRangeCompare.merge(v.getRange(),v2.getRange()));
		vc.getValue().addAll(VersionValueCompare.merge(v.getValue(),v2.getValue()));
		return vc;
	}

}
